Package Details: pantheon-files-bzr r2107-1

Git Clone URL: https://aur.archlinux.org/pantheon-files-bzr.git (read-only)
Package Base: pantheon-files-bzr
Description: The Pantheon File Manager
Upstream URL: https://launchpad.net/pantheon-files
Licenses: GPL3
Groups: pantheon-unstable
Conflicts: pantheon-files
Provides: pantheon-files
Submitter: Ner0
Maintainer: alucryd
Last Packager: alucryd
Votes: 48
Popularity: 0.288752
First Submitted: 2012-11-22 11:05
Last Updated: 2016-04-10 18:56

Latest Comments

misc commented on 2015-04-13 14:40

Here's a small patch to fix some of the broken top bar icons:
http://pastie.org/pastes/10089965/text

view-column-symbolic was replaced as it doesn't actually exist in standard Adwaita and media-playback-pause-symbolic looks the most similar.

Alas, TopMenu.vala uses some weird custom ButtonWithMenu class that has no obvious parameters for size, so it's still displayed oversized.

alucryd commented on 2015-04-11 20:03

Moved to [community].

alucryd commented on 2014-04-02 07:26

Build everything with libgee06 and don't use bzr deps.

mildred commented on 2014-04-02 07:21

It is missing gee-1.0.vapi

-- checking for modules 'gtk+-3.0;gio-2.0;gee-1.0'
-- package 'gee-1.0' not found

if I install gee-1.0.vapi from package extra/libgee06 (!) it won't build because it will load both libgee-0.8 and libgee-1.0:

Loaded package `/usr/share/vala/vapi/gee-0.8.vapi'
Loaded package `/usr/share/vala/vapi/gee-1.0.vapi'

gee-1.0.vapi:7.3-7.53: error: `Gee.Functions' already contains a definition for `get_compare_func_for'
gee-0.8.vapi:7.3-7.57: note: previous definition of `get_compare_func_for' was here

alucryd commented on 2014-03-17 17:36

Okay, so you've been ignoring my messages here and the email I sent you. Now I'm tired of people complaining to me because your packages have wrong deps and all that so I'll be taking over pantheon-files-bzr, pantheon-files-plugin-dropbox-bzr and gala-bzr.

theOptimizedCode commented on 2014-02-28 07:18

Compilation failed: 36 error(s), 0 warning(s)
libcore/CMakeFiles/marlincore.dir/build.make:74: recipe for target 'libcore/marlincore_valac.stamp' failed
make[2]: *** [libcore/marlincore_valac.stamp] Error 1

All w.r.t gee-1.0.vapi

alucryd commented on 2014-02-12 10:50

Hey, I'd like to maintain gala-bzr, pantheon-files-bzr and pantheon-files-plugin-dropbox-bzr as well. Now that I maintain almost all of Pantheon, and have pushed some parts in [community] already, it will help keep Pantheon in harmony and prevent things like what orschiro reported. Would that be okay with you?

orschiro commented on 2014-02-12 10:35

Fails to build:

==> Missing dependencies:
-> granite-bzr>=589

~ ❯ pacman -Q | grep granite
granite-bzr r687-1

NightExcessive commented on 2014-02-09 20:59

pantheon-files 0.1.6 has been released: https://launchpad.net/pantheon-files/+announcement/12437

alucryd commented on 2013-11-28 09:33

0.1.5.1 (and probably even 0.1.5 now) won't build. I submitted a bug report upstream: https://bugs.launchpad.net/pantheon-files/+bug/1255897

All comments